<script>
export default {
  data() {return {
    is_awesome: true,
  }},

  methods: {
    toggle__is_awesome() {
      this.is_awesome = !this.is_awesome
    },
  }
}
</script>

<template>
  <button @click="toggle__is_awesome">toggle</button>

  <div v-if="is_awesome" >Vue is awesome!</div>
  <div v-else            >Oh no 😢</div>
</template>
